#405 Configure Supported Languages is broken

closed-works-for-me
None
5
2005-09-04
2005-05-22
Gerry Kroll
No

Recently, the Configure Supported Languages function
has stopped working properly.

**** THIS USED TO WORK, AND THERE HAVE BEEN NO CHANGES
AT MY END *****

1. Using Firefox on W2K system:

Click "Edit" on one of the languages,
editlang_edit_settings.php launches as expected. After
clicking "Save" at the bottom of the page, the display
briefly goes back to the checkbox table of
changelanguage.php.

Without doing anything, that display disappears and
editlang_edit_settings.php launches again but with no
language selected for editing. This produces a whole
bunch of error messages and also a language edit form
with all fields blank.

Manual inspection of the lang_settings.php file shows
that changes made to the language settings form before
clicking "Save" have been saved correctly.

2. Using Firefox on W2K system:

Change the "active" state of a language by clicking a
checkbox in the checkbox table of changelanguage.php.
The checkbox table disappears briefly, then comes back,
and then disappears again. In its place, I see a page
without the normal PGV header information (the theme is
correct), containing the following information:

./index/lang_settings.php
Notice: Undefined variable: error in
/home/sambashare/wwwroot/alice/PGVBeta/editlang_edit_settings.php
on line 536

For technical support and information contact Gerry Kroll
PhpGedView Version 3.4

There are no buttons on this page, and the only way to
get rid of it is to close it using the Windows controls
in the top right corner or to use the Browser's Back
button. The Back button takes me back to the Admin menu.

Manual inspection of lang_settings.php shows that the
"active" state of the selected language has NOT been
changed. In fact, the time stamp on this file did NOT
change either.

3. Using IE on W2K system:

Same sequence of operations as (1).

After clicking Save on the language edit form, the
checkbox table displays briefly, and then I'm taken to
the Portal page. Changes to the language edit form
have been saved correctly in lang_settings.php

4. Using IE on W2K system:

Same sequence of operations as (2).

After activating a language by clicking the checkbox,
another window opens briefly (I can't read its
contents), then closes again, then the checkbox table
displays briefly and I'm taken to the Portal page.
lang_settings.php has been updated correctly.

De-activating a language in this fashion works too, but
the action is the same -- I'm eventually taken to the
Portal page.

There seem to be two main problems:
(a) Useless windows open, and with Firefox I can't
close them properly
(b) I'm taken to incorrect pages after the
lang_settings.php file is saved. Firefox and IE choose
different destinations for these incorrect pages.

Discussion

  • Gerry Kroll

    Gerry Kroll - 2005-05-27
    • status: open --> closed
     
  • Gerry Kroll

    Gerry Kroll - 2005-05-27

    Logged In: YES
    user_id=1198414

    Fixed in Future Branch CVS.

    Major re-write of logic of how Admin menu, Configure
    Languages menu, and Configure Languages Settings inter-act.

    Tested and works OK in Opera, IE, and Firefox.

     
  • Gerry Kroll

    Gerry Kroll - 2005-05-27
    • assigned_to: roland-d --> canajun2eh
    • status: closed --> closed-fixed
     
  • Roland Dalmulder

    Logged In: YES
    user_id=1143947

    I hereby confirm that the functionality has been severly broken.

    1. The layout is incomplete.
    2. When I check active for a non-active language it is not
    activated
    3. After doing a check on the non-active language and then
    edit. Everything is gone.
    4. After de-activating a language. It is de-activated but
    all details are gone in the edit screen.

    It should be tested further for any more errors.

    Regards,

    RolandD

     
  • Roland Dalmulder

    • status: closed-fixed --> open
     
  • Roland Dalmulder

    Logged In: YES
    user_id=1143947

    One thing I forgot, it seems to duplicate the window
    uselessly. Had to close about 5 windows in FF.

     
  • Gerry Kroll

    Gerry Kroll - 2005-05-27

    Logged In: YES
    user_id=1198414

    Roland:

    "It works for me".

    Please try my site. You have the URL.

    You can use userid "roland-d", with the password I sent you
    earlier.

    I had the problem of windows opening too, but that was
    because function enabledisablelanguage (phpgedview.js) was
    opening windows instead of setting the location.

    Please check your copy of phpgedview.js: the last part of
    this program (function enabledisablelanguage) should have
    the window.open line commented with "//", and there should
    be a line starting with "location.href=" following that
    commented line.

    If the window.open line is NOT commented out, the behaviour
    you describe is definitely the result.

    If your copy of phpgedview.js appears OK, try clearing the
    cache in Firefox. If that doesn't work, I would suspect
    that there's a problem with your copy of Firefox not
    handling JavaScript comments properly.

    The re-written "configure supported languages" function
    consists of the following modules, all of which need to be
    updated or replaced together:

    * @version $Id: phpgedview.js,v 1.57.2.28 2005/05/27
    02:42:40 canajun2eh Exp $
    * @version $Id: editlang_edit_settings.php,v 1.38.2.16
    2005/05/27 02:42:40 canajun2eh Exp $
    * @version $Id: editlang.php,v 1.73.2.36 2005/05/27 02:42:40
    canajun2eh Exp $
    * @version $Id: changelanguage.php,v 1.1.2.15 2005/05/27
    02:42:39 canajun2eh Exp $
    * @version $Id: admin.php,v 1.68.2.32 2005/05/27 02:42:39
    canajun2eh Exp $

    Regards,
    Gerry Kroll.

     
  • Gerry Kroll

    Gerry Kroll - 2005-09-04
    • status: open --> closed-works-for-me
     
  • Gerry Kroll

    Gerry Kroll - 2005-09-04

    Logged In: YES
    user_id=1198414

    Dear user,

    We have not received any response on our request to test the
    provided solution. Hereby we assume the issue has been solved
    and closed the bugreport.

    Thanks,

    The PGV team

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks